package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.OperadorEmbarcada;
import com.rjconsultores.ventaboletos.entidad.OperadorEmbarcadaLinha;
import com.rjconsultores.ventaboletos.vo.ruta.RutaVO;

public interface OperadorEmbarcadaLinhaDAO extends GenericDAO<OperadorEmbarcadaLinha, Long> {
	
	public List<OperadorEmbarcadaLinha> buscarPorOperador(OperadorEmbarcada operador);

	public List<RutaVO> getListaRutaVO(Integer operador);
	
	public List<Integer> getListaResumidaRutaVO(Integer operador);

}
